package cn.iocoder.yudao.module.sale.vo.offer;

import cn.iocoder.yudao.module.customer.vo.customerFollowup.CustomerFollowupBackVO;
import cn.iocoder.yudao.module.depository.dto.LogisticsInfoDto;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdRespVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportRespVO;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.util.*;

import io.swagger.annotations.*;

@ApiModel("管理后台 - 报价单管理 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OfferRespVO extends OfferBaseVO {

    @ApiModelProperty(value = "主键ID", required = true)
    private Long offerId;

    @ApiModelProperty(value = "创建时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "运输相关信息")
    private OfferTransportRespVO transportVO;

    @ApiModelProperty(value = "报价单商品列表")
    private List<OfferProdRespVO> offerProdRespVOList;

    @ApiModelProperty(value = "物流信息")
    private LogisticsInfoDto logisticsInfoDto;

    @ApiModelProperty(value = "始发地名称")
    private String departureName;

    @ApiModelProperty(value = "目的地名称")
    private String objectiveName;

    @ApiModelProperty(value = "业务员名称")
    private String creatorName;

    @ApiModelProperty(value = "跟进业务员")
    private String followUpSalesmanId;



    @ApiModelProperty(value = "关联客户名称")
    private String relationName;

    @ApiModelProperty(value = "联系人区号")
    private String relationAreaCode;

    @ApiModelProperty(value = "联系人手机号")
    private String relationPhone;


    // 线路相关
    @ApiModelProperty("始发仓库id")
    private Long startWarehouseId;
    @ApiModelProperty("始发仓库名称")
    private String startWarehouseName;
    @ApiModelProperty("目的仓库id")
    private Long destWarehouseId;
    @ApiModelProperty("目的仓库名称")
    private String destWarehouseName;
    @ExcelProperty("运输方式")
    private String transportType;


    @ApiModelProperty(value = "渠道名称")
    private String channelName;

    @ApiModelProperty(value = "渠道特性id")
    private String channelAttrId;

    @ApiModelProperty(value = "客户编号")
    private String customerNumber;

    @ApiModelProperty(value = "客户经理所属部门")
    private String deptName;

    @ApiModelProperty(value = "业务员名称-客户经理")
    private String businessManagerName;

    @ApiModelProperty("最新跟进记录信息")
    @TableField(exist = false)
    private CustomerFollowupBackVO followupBackVO;

}
